summaryrefslogtreecommitdiff
path: root/check-receive-policy
diff options
context:
space:
mode:
authorCharlie <root@dev.ws.local>2009-10-28 13:58:26 -0600
committerCharlie <root@dev.ws.local>2009-10-28 13:58:26 -0600
commit783ff95ab8c2ccc42901200bdc25a426377a3886 (patch)
treee8033f0c520377e45ff6e0b426ac7207a821e873 /check-receive-policy
parent4a46bf92e6306458ed0cfc375c71618c648ac85a (diff)
Add policy checks
Diffstat (limited to 'check-receive-policy')
-rwxr-xr-xcheck-receive-policy15
1 files changed, 15 insertions, 0 deletions
diff --git a/check-receive-policy b/check-receive-policy
new file mode 100755
index 0000000..1956a07
--- /dev/null
+++ b/check-receive-policy
@@ -0,0 +1,15 @@
+#!/bin/sh -eu
+set -eu
+
+# Check if user is allowed
+user=`id -un`
+match=`test -f git-receive-allow && grep -Fx "$user" git-receive-allow || true`
+echo $match > /tmp/match.log
+if [ -z "$match" ]; then
+ cat <<EOF >&2
+---
+You're not allowed to push to this repository as $user.
+---
+EOF
+ exit 1
+fi